
Family Care - Bug #2401

User Exceptions

07/07/2021 07:30 PM - Saja Nakhleh

Status: Closed Start date: 07/07/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

Open file service is shown on the main

screen to user USR00040 although it's

not on the main menu. evidence 5.gif

Issue #2:

the advanced change is shown on the

main exception sceen and on the user

and (screen) screen. evidences 6.gif and

7.gif

Issue #3:

the duplicated exception is allowed.

evidence 8.gif

Issue #4:

the record will not be deleted till the

ITManager re-login !

also if the user clicked deleted twice on

the first record, 2 records will be deleted

! the first and the second. Observe the

scenario:

loom.com/share/e380578443c64d55bbd

747b7031200dc

Severity: Normal Environment: QA

Category: User management Transaction Number:  

Sub-Category:  Username:  

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: Issue #1:

Open file service should not be shown

on the main screen to user USR00040

based on the created exception, either

on the main screen or on the main

menue

Issue #2:

the advanced change should no be

available

Issue #3:

the duplicated exception should be

denied

Issue #4:

the record should be deleted then the

table refresh and the record disappear

Test Case ID:  

Description

Issue #1:
1. Open the screen of user exceptions

2. select the  user: usr00040 and the screen : open file

3. click OK

4. Login using usr00040/12345678

Issue #2:

1. Open users' exception screen and click add new exception

2. click the search action

3. Observe the advanced search

Issue #3:

1. Open users' exception screen and click add new exception

2. select the  user: usr00040 and the screen : open file (same as issue #1)

Issue #4:

1. Open users' exception screen

2. Click delete for any record

business issue:

is it fine to except the ItManager from any screen? even from Users' exception screen ?

History

#1 - 07/11/2021 05:07 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

Issue #1:

USR00040 is "Researcher" so he has access to OpenFileService, but the problem of the main page screen has been fixed, and now it should be

dynamic based on user role.

Issue #2:

fixed

Issue #3

fixed, when you click the save button of add new exclude there will be validation on duplication.

Issue #4:

fixed

#2 - 07/12/2021 04:21 PM - Saja Nakhleh

- File 12.GIF added

- Status changed from Open to Feedback

- Assignee changed from Saja Nakhleh to Saeed Ismail

Issue #1:

tested and verified.

Issue #2:

still occurred inside (select user) dialog box, (select Screen dialog) box AND search boxes (select user) and (Select screen). evidence 12.gif and

13.gif

Issue #3:

tested and verified.

Issue #4:

tested and verified
business issue:

as confirmed with BA, the itManageer should not except him self from the exception screen

#3 - 07/13/2021 04:08 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

Saja Nakhleh wrote:

Issue #1:

tested and verified.

Issue #2:

still occurred inside (select user) dialog box, (select Screen dialog) box AND search boxes (select user) and (Select screen). evidence 12.gif and

13.gif

Issue #3:

tested and verified.

Issue #4:

tested and verified

business issue:

as confirmed with BA, the itManageer should not except him self from the exception screen

 

Saeed Reply:

Issue #2:

Not Applicable, the Advance search button is an embedded component in this specific type of LOVs and can not be hidden, the workaround solution

needs a lot of changes on screens.

business issue:

Fixed, now when you try to search for the user in "Add new Exclude" you will not be able to find any It manager in your search.

#4 - 07/14/2021 08:04 PM - Saja Nakhleh

Issue #2:

needs BA confirmation

as confirmed with BA, Advanced search should be removed anywhere it found
business issue:

tested and verified.

#5 - 07/14/2021 10:17 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Saeed Ismail

- Priority changed from Normal to Low

#6 - 07/16/2021 12:19 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

The advanced search button is now fixed and hidden for all search LOVs

#7 - 07/16/2021 02:58 PM - Saja Nakhleh

- File 14.GIF added

- Assignee changed from Saja Nakhleh to Saeed Ismail

- Priority changed from Low to Normal

Issue #2:

tested and verified.

Show stopper issue:

once the (Add user exceptions) dialog is opened then an exception will be occurred as on evidence 14.gif

#8 - 07/17/2021 02:39 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

Saja Nakhleh wrote:

Issue #2:

tested and verified.

Show stopper issue:

once the (Add user exceptions) dialog is opened then an exception will be occurred as on evidence 14.gif

 

Show stopper issue:

I think this was a deployment issue, I have tried it and it's working fine.

#9 - 07/17/2021 05:11 PM - Saja Nakhleh

- Status changed from Feedback to Closed
tested and verified.

Files

5.GIF 188 KB 07/07/2021 Saja Nakhleh

7.GIF 76.2 KB 07/07/2021 Saja Nakhleh

6.GIF 40.2 KB 07/07/2021 Saja Nakhleh

8.GIF 76.8 KB 07/07/2021 Saja Nakhleh

12.GIF 31 KB 07/12/2021 Saja Nakhleh

14.GIF 45.2 KB 07/16/2021 Saja Nakhleh
